## org.eclipse.datatools.connectivity
Interface IProfileExtensionProvider

public interface IProfileExtensionProvider

The interface used to access functionality provided by a profile extension.

Author:
  rcernich Created on Jan 16, 2004

Method Summary
`IConnectionProfileProvider` `getConnectionProfileProvider()`
`java.lang.String` `getId()`
`java.lang.String` `getName()`

Method Detail

### getId

    public java.lang.String getId()

  Returns:
    the id of this profile extension

### getName

    public java.lang.String getName()

  Returns:
    the name of this profile extension

### getConnectionProfileProvider

    public IConnectionProfileProvider getConnectionProfileProvider()

  Returns:
    the connection profile provider extended by this extension

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.